---
deleted:
  commands:
    - no ip route vrf ansible_temp_vrf 192.0.2.0 255.255.255.0 192.0.2.1 tag 50 name test_vrf track 150
    - no ipv6 route vrf ansible_temp_vrf 2001:DB8:0:4::/64 2001:DB8:0:4::2 tag 115 name test_v6_vrf
    - no ip route 198.51.100.0 255.255.255.0 198.51.101.1 110 tag 40 name route_1 multicast
    - no ip route 198.51.100.0 255.255.255.0 198.51.101.3 name route_3
    - no ip route 198.51.100.0 255.255.255.0 198.51.101.2 30 name route_2
    - no ipv6 route 2001:DB8:0:3::/64 2001:DB8:0:3::2 tag 105 name test_v6
merged:
  commands:
    - ip route 198.51.100.0 255.255.255.0 198.51.101.3 name merged_route_3
    - ip route 198.51.100.0 255.255.255.0 198.51.101.2 30 name merged_route_2
    - ip route 198.51.100.0 255.255.255.0 198.51.101.1 110 tag 40 name merged_route_1 multicast
    - ipv6 route 2001:DB8:0:3::/64 2001:DB8:0:3::2 tag 105 name merged_v6
    - ip route vrf ansible_temp_vrf 192.0.2.0 255.255.255.0 192.0.2.1 tag 50 name merged_vrf track 150
    - ip route vrf ansible_temp_vrf 192.51.110.0 255.255.255.255 GigabitEthernet3 192.51.111.1 10 name partner_vrf
    - ipv6 route vrf ansible_temp_vrf 2001:DB8:0:4::/64 2001:DB8:0:4::2 tag 115 name merged_v6_vrf
replaced:
  commands:
    - ip route vrf ansible_temp_vrf 192.0.2.0 255.255.255.0 192.0.2.1 tag 75 name replaced_vrf track 155
    - ipv6 route vrf ansible_temp_vrf 2001:DB8:0:4::/64 2001:DB8:0:4::2 tag 115 name replaced_v6_vrf
    - ip route 198.51.100.0 255.255.255.0 198.51.101.1 175 tag 70 name replaced_route multicast
    - no ip route 198.51.100.0 255.255.255.0 198.51.101.3 name route_3
    - no ip route 198.51.100.0 255.255.255.0 198.51.101.2 30 name route_2
    - ipv6 route 2001:DB8:0:3::/64 2001:DB8:0:3::2 tag 110 name replaced_v6
overridden:
  commands:
    - ip route vrf ansible_temp_vrf 192.0.2.0 255.255.255.0 192.0.2.1 tag 50 name override_vrf track 150
    - ipv6 route vrf ansible_temp_vrf 2001:DB8:0:4::/64 2001:DB8:0:4::2 tag 135 name override_v6_vrf
    - ip route 198.51.100.0 255.255.255.0 198.51.101.3 name override_route
    - no ip route 198.51.100.0 255.255.255.0 198.51.101.2 30 name route_2
    - no ip route 198.51.100.0 255.255.255.0 198.51.101.1 110 tag 40 name route_1 multicast
    - ipv6 route 2001:DB8:0:3::/64 2001:DB8:0:3::2 tag 175 name override_v6
rendered:
  commands:
    - ip route vrf ansible_temp_vrf 192.0.2.0 255.255.255.0 192.0.2.1 tag 50 name test_vrf track 150
    - ipv6 route vrf ansible_temp_vrf 2001:DB8:0:4::/64 2001:DB8:0:4::2 tag 115 name test_v6_vrf
    - ip route 198.51.100.0 255.255.255.0 198.51.101.1 110 tag 40 name route_1 multicast
    - ip route 198.51.100.0 255.255.255.0 198.51.101.2 30 name route_2
    - ip route 198.51.100.0 255.255.255.0 198.51.101.3 name route_3
    - ipv6 route 2001:DB8:0:3::/64 2001:DB8:0:3::2 tag 105 name test_v6
gathered:
  config:
    - address_families:
        - afi: ipv4
          routes:
            - dest: 192.0.2.0/24
              next_hops:
                - forward_router_address: 192.0.2.1
                  name: test_vrf
                  tag: 50
                  track: 150
        - afi: ipv6
          routes:
            - dest: 2001:DB8:0:4::/64
              next_hops:
                - forward_router_address: 2001:DB8:0:4::2
                  name: test_v6_vrf
                  tag: 115
      vrf: ansible_temp_vrf
    - address_families:
        - afi: ipv6
          routes:
            - dest: 2001:DB8:0:3::/64
              next_hops:
                - forward_router_address: 2001:DB8:0:3::2
                  name: test_v6
                  tag: 105
        - afi: ipv4
          routes:
            - dest: 198.51.100.0/24
              next_hops:
                - distance_metric: 110
                  forward_router_address: 198.51.101.1
                  multicast: true
                  name: route_1
                  tag: 40
                - distance_metric: 30
                  forward_router_address: 198.51.101.2
                  name: route_2
                - forward_router_address: 198.51.101.3
                  name: route_3
rtt:
  override_commands:
    - ip route vrf ansible_temp_vrf 192.0.2.0 255.255.255.0 192.0.2.12 tag 10 name new_rtt_vrf track 150
    - no ip route 198.51.100.0 255.255.255.0 198.51.101.1 110 tag 40 name rtt_route_1 multicast
  override_revert_commands:
    - ip route 198.51.100.0 255.255.255.0 198.51.101.1 110 tag 40 name rtt_route_1 multicast
